Skip to main content
`Ctrl`+`K`

# VecConjugate

Conjugates a vector. That is, replace every entry in a vector with its complex conjugate

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecConjugate(Vec x)

Logically Collective

## Input Parameter

- x - the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecSet()`

## Level

intermediate

## Location

src/vec/vec/utils/vinv.c

## Implementations

VecConjugate_Nest() in src/vec/vec/impls/nest/vecnest.c
VecConjugate_Seq() in src/vec/vec/impls/seq/bvec2.c
VecConjugate_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages